<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessuserinfo.mapper.BussinessUserInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessUserInfoResultMap" type="org.springblade.modules.guosen.bussinessuserinfo.entity.BussinessUserInfo">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_name" property="userName"/>
        <result column="user_short_name" property="userShortName"/>
        <result column="user_licence_no" property="userLicenceNo"/>
        <result column="user_licence_type" property="userLicenceType"/>
        <result column="user_card_front_url" property="userCardFrontUrl"/>
        <result column="user_card_back_url" property="userCardBackUrl"/>
        <result column="user_address" property="userAddress"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="bank_account_type" property="bankAccountType"/>
        <result column="bank_card_no" property="bankCardNo"/>
        <result column="bank_code" property="bankCode"/>
        <result column="user_phone" property="userPhone"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="register_status" property="registerStatus"/>
        <result column="audit_opinion" property="auditOpinion"/>
        <result column="parent_merchant_no" property="parentMerchantNo"/>
        <result column="rate_strategy_id" property="rateStrategyId"/>
    </resultMap>


    <select id="selectBussinessUserInfoPage" resultMap="bussinessUserInfoResultMap">
        select * from cyzh_bussiness_user_info where is_deleted = 0
    </select>

</mapper>
